package siprp.update.updates;

import com.evolute.module.updater.AbstractUpdate;
import com.evolute.utils.db.Executer;

public class V10_7_To_V10_8 extends AbstractUpdate
{
	
	public V10_7_To_V10_8()
	{
		super(10.7,10.8,"relatorio de higiene e seguranca: insercao de valores qualitativos");
	}
	
	@Override
	public void doUpdate() throws Exception
	{
		Executer executer = getExecuter();
		com.evolute.utils.sql.Update update = 
			new com.evolute.utils.sql.Update(
				"insert into hs_relatorio_risco_valor_qualitativo(description) " +
				"values('Controlado'); " +
				"insert into hs_relatorio_risco_valor_qualitativo(description) " +
				"values('Incontrolado'); " +
				"insert into hs_relatorio_risco_valor_qualitativo(description)" +
				"values('Indeterminado'); "
		);
		executer.executeQuery( update );
	}
	
}
